/Users/bernard/b20/bsoft/include/rwMRC.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwMRC.h - Header file for reading and writing MRC files.

SYNOPSIS

#include 'rwimg.h'

  Classes
struct MRCheadold
struct MRChead2000
struct MRChead

  Macros
#define MRCSIZE 1024

  Functions
int readMRC (Bimage *p, int readdata, int img_select)
Reading a MRC map image file format.
int writeMRC (Bimage *p)
Writing a MRC map image file format.

Detailed Description

Header file for reading and writing MRC files.

Author:
    Bernard Heymann

Date:
    Created: 19990321

    Modified: 20111217

    Format: 3D crystallographic image file format for the MRC package

Definition in file rwMRC.h.

Macro Definition Documentation

  #define MRCSIZE 1024

Definition at line 13 of file rwMRC.h.

Function Documentation

  int readMRC (Bimage * p, int readdata, int img_select)

Reading a MRC map image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.
    img_select image selection in multi-image file (-1 = all images).

Returns:
    int error code (<0 means failure). A 3D image format used in electron microscopy. Header size: 1024 bytes followed by the symmetry operator table which is composed of 80 character lines, each line for a symmetry operator. File format extensions: .mrc The identifier is a 4-byte machine stamp (same as for CCP4 maps): 1 Big-endian IEEE 17 17 00 00 2 VAX 34 65 00 00 3 Cray - 4 Little-endian IEEE 68 65 00 00 5 Convex 85 17 00 00 6 Fijitsu VP - (Note: not always implemented - so unreliable) Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 0 = signed byte, 1 = short, 2 = float, 3 = complex short, 4 = complex float. Transform type: Centered hermitian The x-dimension contains the x-size of the full transform

Definition at line 58 of file rwMRC.cpp.

  int writeMRC (Bimage * p)

Writing a MRC map image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 3D image format used in electron microscopy.

Definition at line 276 of file rwMRC.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.